//po4a: entry man manual
////
Copyright 2017 Red Hat, Inc.

This file may be copied under the terms of the GNU General Public License.
////
= fincore(1)
:doctype: manpage
:man manual: User Commands
:man source: util-linux {release-version}
:page-layout: base
:command: fincore
:plus: +

== NAME

fincore - count pages of file contents in core

== SYNOPSIS

*fincore* [options] _file_...

== DESCRIPTION

*fincore* counts pages of file contents being resident in memory (in core), and reports the numbers. If an error occurs during counting, then an error message is printed to the stderr and *fincore* continues processing the rest of files listed in a command line.

The default output is subject to change. So whenever possible, you should avoid using default outputs in your scripts. Always explicitly define expected columns by using *--output* _columns-list_ in environments where a stable output is required.

== OPTIONS

*-n*, *--noheadings*::
Do not print a header line in status output.

*-b*, *--bytes*::
include::man-common/in-bytes.adoc[]

*-o*, *--output* _list_::
Define output columns. See the *--help* output to get a list of the currently supported columns. The default list of columns may be extended if _list_ is specified in the format _{plus}list_.
//TRANSLATORS: Keep {plus} untranslated.

*--output-all*::
Output all available columns.

*-r*, *--raw*::
Produce output in raw format. All potentially unsafe characters are hex-escaped (\x<code>).

*-J*, *--json*::
Use JSON output format.

include::man-common/help-version.adoc[]

== AUTHORS

mailto:yamato@redhat.com[Masatake YAMATO]

== SEE ALSO

*mincore*(2),
*getpagesize*(2),
*getconf*(1p)
*cachestat*(2)

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
